Skip to main content
GET
List outbound channels

Authorizations

Authorization
string
header
required

An OAuth 2.0 access token, sent as Authorization: Bearer <token>. MessageDesk is the OAuth 2.0 provider (backed by AWS Cognito): an integration such as Zapier obtains the token through the authorization-code flow when a user connects their MessageDesk account. Access tokens are valid for 24 hours and are refreshed with the refresh token.

Query Parameters

workspaceId
string
required

Workspace ID

Response

OK

address
string

The address of the communication channel (phone number, email address, etc.)

communicationType
enum<string>

The type of communication channel (sms, email, chat, etc.)

Available options:
chat,
comment,
short_code,
sms,
email,
voice
createdAt
string

The date and time the record was created

deletedAt
object

The date and time the record was soft deleted

description
string

An optional description of the communication channel

id
string

The ULID of the channel

name
string

The optional name of the channel

newMessagesCount
integer

The number of conversations with status 'unread'

object
string

The object type "OutboundChannel"

smsNumber
object
tenant
object

Relationships

tenantId
string

The tenant id the channel belongs to

updatedAt
string

The date and time the record was last updated

workspace
object
workspaceId
string

The workspace id the channel belongs to